summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorArfrever Frehtes Taifersar Arahesis <Arfrever@Apache.Org>2019-04-18 19:28:02 +0000
committerMike Gilbert <floppym@gentoo.org>2019-04-19 12:39:07 -0400
commit4555f65bc83ba6b55e048ce21bbc19b4d758a49f (patch)
tree6520a7527ecd08376ecf7d7c9bd8105ae68754df /dev-java
parentdev-java/protobuf-java: Version bump (3.7.1). (diff)
downloadgentoo-4555f65bc83ba6b55e048ce21bbc19b4d758a49f.tar.gz
gentoo-4555f65bc83ba6b55e048ce21bbc19b4d758a49f.tar.bz2
gentoo-4555f65bc83ba6b55e048ce21bbc19b4d758a49f.zip
dev-java/protobuf-java: Add live ebuild.
Signed-off-by: Arfrever Frehtes Taifersar Arahesis <Arfrever@Apache.Org> Signed-off-by: Mike Gilbert <floppym@gentoo.org>
Diffstat (limited to 'dev-java')
-rw-r--r--dev-java/protobuf-java/protobuf-java-9999.ebuild52
1 files changed, 52 insertions, 0 deletions
diff --git a/dev-java/protobuf-java/protobuf-java-9999.ebuild b/dev-java/protobuf-java/protobuf-java-9999.ebuild
new file mode 100644
index 00000000000..b066b80a832
--- /dev/null
+++ b/dev-java/protobuf-java/protobuf-java-9999.ebuild
@@ -0,0 +1,52 @@
+# Copyright 2008-2019 Arfrever Frehtes Taifersar Arahesis and others
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+JAVA_PKG_IUSE="doc source"
+
+inherit java-pkg-2 java-pkg-simple
+
+if [[ "${PV}" == "9999" ]]; then
+ inherit git-r3
+
+ EGIT_REPO_URI="https://github.com/protocolbuffers/protobuf"
+ EGIT_SUBMODULES=()
+fi
+
+DESCRIPTION="Google's Protocol Buffers - Java bindings"
+HOMEPAGE="https://developers.google.com/protocol-buffers/ https://github.com/protocolbuffers/protobuf"
+if [[ "${PV}" == "9999" ]]; then
+ SRC_URI=""
+else
+ SRC_URI="https://github.com/protocolbuffers/protobuf/archive/v${PV}.tar.gz -> protobuf-${PV}.tar.gz"
+fi
+
+LICENSE="BSD"
+SLOT="0/18"
+KEYWORDS=""
+IUSE=""
+
+DEPEND="~dev-libs/protobuf-${PV}
+ >=virtual/jdk-1.7"
+RDEPEND=">=virtual/jre-1.7
+ !<dev-libs/protobuf-3[java(-)]"
+
+S="${WORKDIR}/protobuf-${PV}/java"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_CHECKOUT_DIR="${WORKDIR}/protobuf-${PV}"
+fi
+
+src_prepare() {
+ default
+ java-pkg-2_src_prepare
+}
+
+src_compile() {
+ "${EPREFIX}/usr/bin/protoc" --java_out=core/src/main/java -I../src ../src/google/protobuf/descriptor.proto || die
+ JAVA_SRC_DIR="core/src/main/java" JAVA_JAR_FILENAME="protobuf.jar" java-pkg-simple_src_compile
+}
+
+src_install() {
+ JAVA_SRC_DIR="core/src/main/java" JAVA_JAR_FILENAME="protobuf.jar" java-pkg-simple_src_install
+}